# Manual til Zenity

Manual til skrivebordsprogrammet Zenity, V2.0
2003
2004
Sun Microsystems, Inc.
Sun Microsystems, Inc.

Der gives tilladelse til at kopiere, distribuere og/eller ændre dette dokument under betingelserne i GNU Free Documentation License (GFDL), version 1.1 eller enhver nyere version, udgivet af Free Software Foundation uden invariante afsnit, uden forsidetekster, og uden bagsidetekster. Du kan finde en kopi af GFDL'en her: link, eller i filen COPYING-DOCS der distribueres med denne manual.

Denne manual er en del af GNOME-manualsamlingen distribueret under GFDL. Hvis du vil distribuere denne manual separat fra denne samling, kan du gøre det ved at tilføje en kopi af licensen til manualen, som beskrevet i sektion 6 af licensen.

Mange af navnene brugt af firmaer til at skelne deres produkter og tjenester er registrerede varemærker. Der hvor disse navne optræder i GNOME-dokumentationen, og medlemmerne af GNOME-dokumentationsprojektet er blevet gjort opmærksomme på disse varemærker, er navnene skrevet med store bogstaver eller store forbogstaver.

DETTE DOKUMENT OG MODIFICEREDE VERSIONER GØRES TILGÆNGELIGT UNDER BETINGELSERNE I GNU FREE DOCUMENTATION LICENSE UNDER DEN FORUDSÆTNING AT:

1. DETTE DOKUMENT GØRES TILGÆNGELIGT SÅDAN SOM DET ER, UDEN NOGEN FORM FOR GARANTI, HVERKEN UDTALT ELLER ANTYDET, DERIBLANDT, UDEN BEGRÆNSNINGER, GARANTIER OM AT DOKUMENTET ELLER ÆNDREDE VERSIONER AF DOKUMENTET ER FRIT FOR DEFEKTER, PASSENDE TIL ET BESTEMT FORMÅL ELLER IKKE-KRÆNKENDE. DU HÆFTER SELV FOR HELE RISIKOEN VEDRØRENDE KVALITET, KORREKTHED OG YDELSE FOR DOKUMENTET ELLER ÆNDREDE VERSIONER AF DOKUMENTET. SKULLE ET DOKUMENT, ELLER EN ÆNDRET VERSION AF ET DOKUMENT VISE SIG AT VÆRE DEFEKT PÅ EN HVILKEN SOM HELST MÅDE, HÆFTER DU FOR BETALING FOR EVENTUEL NØDVENDIG SERVICE, REPARATION ELLER KORREKTION (OG IKKE HVERKEN DEN OPRINDELIGE FORFATTER, SKRIBENT ELLER NOGEN ANDEN BIDRAGYDER). DENNE ERKLÆRING OM GARANTIFORBEHOLD ER EN ESSENTIEL DEL AF DENNE LICENS. INGEN BRUG AF NOGET DOKUMENT ELLER ÆNDRET VERSION AF DOKUMENTET ER AUTORISERET HERUNDER BORTSET FRA DENNE FORBEHOLDSERKLÆRING; OG

2. UNDER INGEN OMSTÆNDIGHEDER OG UNDER INGEN JURIDISK TEORI, UANSET OM DET ER EN BEVIDST SKADENDE HANDLING (INKLUSIVE UFORSVARLIGHED) ELLER PÅ HVILKEN SOM HELST ANDEN MÅDE, KAN FORFATTEREN, SKRIBENT, BIDRAGYDERE, DISTRIBUTØRER ELLER FORSYNER AF DETTE DOKUMENT ELLER MODIFICEREDE VERSIONER GØRES ANSVARLIG OVERFOR NOGEN PERSON FOR NOGEN DIREKTE, INDIREKTE, SPECIEL, TILFÆLDIG ELLER FØLGENDE SKADE PÅFØRT NOGEN INKLUSIVE, UDEN BEGRÆNSNING, SKADE SOM FØLGE AF TAB AF RYGTE, ARBEJDSSTOP, COMPUTER-FEJL ELLER -SVIGT, ELLER ENHVER ANDEN FORM FOR SKADE ELLER TAB SOM ER OPSTÅET I FORBINDELSE MED BRUG AF DETTE DOKUMENT ELLER MODIFICEREDE VERSIONER HERAF, SELV HVIS EN SÅDAN PART HAR VÆRET INFORMERET OM MULIGHEDEN FOR SÅDANNE SKADER.

Sun
Dokumentationsholdet for Java-skriveboardssystemer
Sun Microsystems, Inc.
Glynn
Foster
GNOME-dokumentationsprojektet
Nicholas
Curran
GNOME-dokumentationsprojektet
Manual til skrivebordsprogrammet Zenity, V2.0
August 2004

Suns dokumentationshold for Java-skriveboardssystemer

Sun Microsystems, Inc.

Zenity-manual V1.0
Januar 2003

Glynn Foster

GNOME-dokumentationsprojektet

Denne manual beskriver version 2.6.0 af Zenity.

## Tilbagemelding

Hvis du vil sende tilbagemeldinger, så følg vejledningen på feedbacksiden.

Zenity er en omskrivning af gdialog, en GNOME-specifik udgave af dialog, som lader dig vise dialogbokse fra kommandolinjen eller skalscripts.

## Introduktion

Zenity lader dig oprette følgende typer af simple dialogvinduer:

- Kalender

- Filvælger

- Liste

- Påmindelsesikon

- Meddelelse

  - Fejl

  - Information

  - Spørgsmål

  - Advarsel

- Statusbjælke

- Tekstfelt

- Tekstinformation

## Brug

Hvis du skriver et script, kan du bruge Zenity til at oprette simple dialogvinduer, der interagerer grafisk med brugeren på følgende vis:

- Du kan oprette et dialogvindue for at indhente information fra brugeren. For eksempel kan du bede brugeren om at vælge en dato fra et kalendervindue, eller om at vælge en fil fra en filvælger.

- Du kan oprette et dialogvindue for at vise information til brugeren. For eksempel kan du bruge en statusbjælke til at angive status for en operation, eller vise en advarsel til brugeren.

Når brugeren lukker dialogvinduet, vil Zenity udskrive teksten, der blev produceret af vinduet, til standard output.

Når du skriver Zenity-kommandoer, så sikr dig, at du skriver anførselstegn omkring hvert argument.

Brug for eksempel:

    zenity --calendar --title="Planer for ferie"

Brug ikke:

    zenity --calendar --title=Planer for ferie

Hvis du ikke bruger anførselstegn, kan du få uventede resultater.

### Genvejstaster

En genvejstast er en tast, der lader dig foretage en handling ved hjælp af tastaturet, frem for at bruge musen til at vælge en kommando fra en menu eller et dialogvindue. Hver genvejstast markeres ved et understreget tegn i en menu eller ved et dialogvalgmulighed.

Visse Zenity-dialogvinduer understøtter genvejstaster. Genvejstaster angives ved at placere en bundstreg umiddelbart før det tegn, der svarer til genvejstasten, i dialogteksten. Følgende eksempel viser hvordan man angiver bogstavet "C" som genvejstast:

    "_Vælg et navn".

### Afslutningskoder

Zenity returnerer følgende afslutningskoder:

Afslutningskode | Beskrivelse
--- | ---
`0` | Brugeren har trykket enten O.k. eller Luk.
`1` | Brugeren har trykket enten Annullér eller brugt vinduesfunktionerne til at lukke dialogvinduet.
`-1` | Der opstod en uventet fejl.
`5` | Dialogvinduet er blevet lukket, fordi tiden er løbet ud.

### Generelle tilvalg

Alle Zenity-dialogvinduer understøtter følgende generelle tilvalg:

`--title`=titel

  Angiver titel på et dialogvindue.

`--window-icon`=ikonsti

  Angiver det ikon, der skal vises i dialogvinduets ramme. Der er fire standardikoner, der kan bruges ved at angive følgende nøgleord: "info", "warning", "question" eller "error".

`--width`=bredde

  Angiver dialogvinduets bredde.

`--height`=højde

  Angiver dialogvinduets højde.

`--timeout`=tidsudløb

  Angiver tidsudløbet i sekunder, hvorefter dialogvinduet lukkes.

### Hjælpetilvalg

Zenity stiller følgende hjælpetilvalg til rådighed:

`--help`

  Viser en kort hjælpetekst.

`--help-all`

  Viser den fulde hjælpetekst for alle dialogvinduer.

`--help-general`

  Viser hjælpetekst til de generelle dialogtilvalg.

`--help-calendar`

  Viser hjælpetekst for kalenderdialogvinduets tilvalg.

`--help-entry`

  Viser hjælpetekst for tilvalg til tekstindtastningsfelter.

`--help-error`

  Viser hjælpetekst for tilvalg til dialogvinduer med fejlmeddelelser.

`--help-info`

  Viser hjælpetekst for tilvalg til dialogvinduer med informationsmeddelelser.

`--help-file-selection`

  Viser hjælpetekst til filvælgerdialogvinduer.

`--help-list`

  Viser hjælpetekst til listedialogvinduer.

`--help-notification`

  Viser hjælpetekst til påmindelsesikoner.

`--help-progress`

  Viser hjælpetekst til statusbjælkedialogvinduer.

`--help-question`

  Viser hjælpetekst til spørgsmålsdialogvinduer.

`--help-warning`

  Viser hjælpetekst til advarselsdialogvinduer.

`--help-text-info`

  Viser hjælpetekst til informationsdialogvinduer.

`--help-misc`

  Viser hjælpetekst til diverse tilvalg.

`--help-gtk`

  Viser hjælp til GTK+-tilvalg.

### Diverse tilvalg

Zenity stiller yderligere følgende "diverse" tilvalg til rådighed:

`--about`

  Viser dialogvinduet Om Zenity, som indeholder versionsinformation, ophavsretsinformation samt udviklerinformation om Zenity.

`--version`

  Viser versionsnummeret for denne udgave af Zenity.

### GTK+-tilvalg

Zenity understøtter standard-GTK+-tilvalgene. Kør kommandoen `zenity -?` for at få yderligere information om GTK+-tilvalg.

### Miljøvariable

Normalt vil Zenity detektere terminalvinduet, hvorfra det er blevet kørt, og holde sit eget vindue over dette vindue. Denne opførsel kan slås fra ved at nulstille miljøvariablen `WINDOWID`.

## Kalenderdialogvindue

Brug `--calendar`-tilvalget til at oprette et kalenderdialogindue. Zenity returnerer den valgte dato til standard output. Hvis ingen dato angives på kommandolinjen, bruger dialogvinduet den aktuelle dato.

Kalenderdialogvinduet understøtter følgende tilvalg:

`--text`=tekst

  Angiver teksten, der vises i kalenderdialogvinduet.

`--day`=dag

  Angiver den dag, der markeres i kalenderdialogvinduet. dag skal være et tal mellem 1 og 31 inklusive.

`--month`=måned

  Angiver måneden, der markeres i kalenderdialogvinduet. måned skal være et tal mellem 1 og 12, inklusive.

`--year`=år

  Angiver året, der markeres i kalenderdialogvinduet.

`--date-format`=format

  Angiver formatet, der returneres fra kalenderdialogen efter datoen er blevet valgt. Standardformatet afhænger af regionaldata. format skal være et format, som accepteres af `strftime`-funktionen, såsom `%A %d/%m/%y`.

Følgende eksempelscript viser, hvordan man opretter et kalenderdialogvindue:

            #!/bin/sh

            if zenity --calendar \
            --title="Vælg en dato" \
            --text="Klik på den dato, du vil vælge." \
            --day=10 --month=8 --year=2004
              then echo $?
              else echo "Ingen dato valgt"
            fi

### Eksempel på kalenderdialog

Zenity eksempel på kalenderdialog

## Filvælgerdialogvindue

Brug tilvalget `--file-selection` til at oprette et filvælgerdialogvidue. Zenity returnerer de valgte filer eller mapper til standard output. Standardtilstanden for filvælgeren er åbn.

Filvælgerdialogvinduer understøtter følgende tilvalg:

`--filename`=filnavn

  Angiver den fil eller mappe, som er valgt i filvælgeren, når dialogvinduet først vises.

`--multiple`

  Tillader valg af flere filnavne i filvælgeren.

`--directory`

  Tillader kun valg af mapper i filvælgeren.

`--save`

  Sæt filvælgerdialogen til gemmetilstand.

`--separator`=skilletegn

  Angiver strengen, der bruges til at dele listen af returnerede filnavne.

Det følgende eksempelscript viser, hvordan man opretter et filvælgerdialogvindue:

            #!/bin/sh

            FILE=`zenity --file-selection --title="Vælg en fil"`

            case $? in
                     0)
                            echo "\"$FILE\" valgt.";;
                     1)
                            echo "Ingen fil valgt.";;
                    -1)
                            echo "Ingen fil valgt.";;
            esac

### Eksempel med filvælgerdialogvindue

Zenity eksempel på filvælgervindue

## Påmindelsesikon

`--text`=tekst

  Angiver teksten, der vises i påmindelsesområdet.

Følgende eksempelscript viser, hvordan man opretter et påmindelsesikon:

            #!/bin/sh

            zenity --notification\
              --window-icon="info" \
              --text="Der er nødvendige systemopdateringer!"

### Eksempel på påmindelsesikon

Zenity eksempel på påmindelsesikon

## Listedialogvindue

Brug tilvalget `--list` til at oprette et listedialogvindue. Zenity returnerer elementerne i første kolonne af teksten i de valgte rækker til standard output.

Data for dialogvinduet skal angives kolonne efter kolonne, række efter række. Data kan gives til dialogen gennem standard input. Hvert element skal adskilles af et linjeskiftstegn.

Hvis du bruger tilvalget `--checklist` eller `--radiolist`, skal hver række starte med enten "TRUE" eller "FALSE".

Listedialogvinduet understøtter følgende tilvalg:

`--column`=kolonne

  Angiver kolonneoverskrifterne, der vises i listedialogvinduet. Du skal angive et `--column`-tilvalg for hver kolonne, du vil have vist i dialogvinduet.

`--checklist`

  Angiver at første kolonne i listedialogvinduet indeholder afkrydsningsfelter.

`--radiolist`

  Angiver at første kolonne i listedialogvinduet indeholder radiofelter.

`--editable`

  Tillader redigering af de viste elementer.

`--separator`=skilletegn

  Angiver den streng, der bruges når listedialogvinduet returnerer de valgte elementer.

`--print-column`=kolonne

  Angiver den kolonne, der skal udskrives når der vælges. Standardkolonnen er "1". "ALL" kan bruges til at udskrive alle kolonner i listen.

Følgende eksempelscript viser, hvordan et listedialogvindue oprettes:

### Eksempel med listedialogvindue

Zenity eksempel på listedialogvindue

## Meddelelsesdialogvinduer

Zenity kan oprette fire typer af meddelelsesdialogvinduer:

- Fejl

- Information

- Spørgsmål

- Advarsel

For hver type, kan du bruge tilvalget `--text` til at angive den tekst, der vises i dialogvinduet.

### Fejldialogvindue

Brug tilvalget `--error` til at oprette et fejldialogvindue.

Det følgende eksempelscript viser, hvordan man opretter et fejldialogvindue:

              #!/bin/bash

              zenity --error \
              --text="Kunne ikke finde /var/log/syslog."

#### Eksempel på fejldialogvindue

Zenity eksempel på fejldialogvindue

### Informationsdialogvindue

Brug tilvalget `--info` til at oprette et informationsdialogvindue.

Følgende eksempelscript viser hvordan et informationsdialogvindue oprettes:

              #!/bin/bash

              zenity --info \
              --text="Sammenfletning fuldført. Opdaterede 3 af 10 filer."

#### Eksempel på informationsdialogvindue

Zenity eksempel på informationsdialogvindue

### Spørgsmålsdialogvindue

Brug tilvalget `--question` til at oprette et spørgsmålsdialogvindue.

Følgende eksempel viser, hvordan et spørgsmålsdialogvindue oprettes:

              #!/bin/bash

              zenity --question \
              --text="Er du sikker på, at du vil fortsætte?"

#### Eksempel på spørgsmålsdialogvindue

Zenity eksempel på spørgsmålsdialogvindue

### Advarselsdialogvindue

Brug tilvalget `--warning` til at oprette et advarselsdialogvindue.

Følgende eksempelscript viser, hvordan et advarselsdialogvindue oprettes:

              #!/bin/bash

              zenity --warning \
              --text="Træk strømkablet ud for at undgå elektrisk stød."

#### Eksempel på advarselsdialogvindue

Zenity eksempel på advarselsdialogvindue

## Dialogvindue med statusbjælke

Brug tilvalget `--progress` til at oprette et dialogvindue med en statusbjælke.

Zenity læser data linjevis fra standard input. Hvis en linje starter med #, vil teksten blive opdateret med den efterfølgende tekst på den pågældende linje. Hvis en linje kun indeholder et tal, vil vil procenttallet blive opdateret med dette tal.

Statusbjælkedialogvinduet understøtter følgende tilvalg:

`--text`=tekst

  Angiver teksten, der vises i statusbjælkedialogvinduet.

`--percentage`=procentdel

  Angiver det procenttal, der fra starten vises i statusbjælkedialogvinduet.

`--auto-close`

  Lukker statusbjælken, når den har nået 100%.

`--pulsate`

  Angiver at statusbjælken pulserer indtil der læses et EOF-tegn fra standard input.

Følgende eksempelscript viser, hvordan et dialogvindue med en statusbjælke oprettes:

            #!/bin/sh
            (
            echo "10" ; sleep 1
            echo "# Opdaterer e-postlogge" ; sleep 1
            echo "20" ; sleep 1
            echo "# Nulstiller cron-jobs" ; sleep 1
            echo "50" ; sleep 1
            echo "Denne linje bliver blot ignoreret" ; sleep 1
            echo "75" ; sleep 1
            echo "# Genstarter systemet" ; sleep 1
            echo "100" ; sleep 1
            ) |
            zenity --progress \
              --title="Opdaterer systemlogge" \
              --text="Scanner e-postlogge..." \
              --percentage=0

            if [ "$?" = -1 ] ; then
                    zenity --error \
                      --text="Opdatering afbrudt."
            fi

### Eksempel på dialogvindue med statusbjælke

Zenity eksempel på dialogvindue med statusbjælke

## Tekstfelt

Use the `--entry` option to create a text entry dialog. Zenity returns the contents of the text entry to standard output.

Tekstfeltsdialogvinduet understøtter følgende tilvalg:

`--text`=tekst

  Angiver teksten, der vises i dialogvinduet.

`--entry-text`=tekst

  Angiver teksten, der vises i tekstfeltets indtastningsfelt.

`--hide-text`

  Skjuler teksten i tekstfeltet.

Følgende eksempel viser, hvordan man opretter et dialogvindue med et tekstindtastingsfelt:

            #!/bin/sh

            if zenity --entry \
            --title="Tilføj et tekstfelt" \
            --text="Indtast din _adgangskode:" \
            --entry-text "adgangskode" \
            --hide-text
              then echo $?
              else echo "Ingen adgangskode valgt"
            fi

### Eksempel på dialogvindue med et tekstindtastningsfelt

Zenity eksempel på dialogvindue med tekstindtastningsfelt

## Tekstinformationsdialogvindue

Brug tilvalget `--text-info` til at oprette et dialogvindue med tekstinformation.

Tekstinformationsdialogvinduet understøtter følgende tilvalg:

`--filename`=filnavn

  Angiver en fil, der indlæses i tekstinformationsdialogvinduet.

`--editable`

  Tillader redigering af den viste tekst. Den redigerede tekst returneres til standard output, når dialogvinduet lukkes.

Følgende eksempelscript viser, hvordan et tekstinformationsdialogvindue oprettes:

            #!/bin/sh

            FILE=`zenity --file-selection \
              --title="Vælg en fil"`

            case $? in
                     0)
                            zenity --text-info \
                              --title=$FILE \
                              --filename=$FILE \
                              --editable 2>/tmp/tmp.txt;;
                     1)
                            echo "Ingen fil valgt.";;
                    -1)
                            echo "Ingen fil valgt.";;
            esac

### Eksempel på dialogvindue med tekstinformation

Zenity eksempel på tekstinformationsvindue